de.esprit.common.type

## Enum FileDataType

- java.lang.Object
- - java.lang.Enum<FileDataType>
  - - de.esprit.common.type.FileDataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FileDataType>

      public enum FileDataType
      extends java.lang.Enum<FileDataType>

  Specifies the type of data contained in a `File`.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII`
    `BINARY`
    `DIRECTORY`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAscii()`
    `boolean` | `isBinary()`
    `boolean` | `isDirectory()`
    `boolean` | `isUnknown()`
    `static FileDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FileDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCII

          public static final FileDataType ASCII

    - #### BINARY

          public static final FileDataType BINARY

    - #### DIRECTORY

          public static final FileDataType DIRECTORY

    - #### UNKNOWN

          public static final FileDataType UNKNOWN

  - ### Method Detail

    - #### values

          public static FileDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileDataType c : FileDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isAscii

          public boolean isAscii()

    - #### isBinary

          public boolean isBinary()

    - #### isDirectory

          public boolean isDirectory()

    - #### isUnknown

          public boolean isUnknown()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.